Cannot build spamprobe

Alan alan+crux at mizrahi.com.ve
Mon Aug 19 00:49:24 UTC 2013


> I am trying to install spamprobe from the opt repository  but it fails to
> build due to a coding error. Here is the report:
> 
> GifParser.cc: In member function 'void GifParser::openImage()':
> GifParser.cc:102:40: error: too few arguments to function 'GifFileType*
> DGifOpen(void*, InputFunc, int*)' In file included from GifParser.h:37:0,
>                  from GifParser.cc:38:
> /usr/include/gif_lib.h:180:14: note: declared here
> 
> It looks like an incompatibility between this package and giflib (also from
> opt). My giflib is version 5.0.4-1. Is there a patch for this?


This kind of thing should be reported in the bug tracking website: 
http://crux.nu/bugs/

That said, here is a patch that should help you.

Alan
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.crux.nu/pipermail/crux/attachments/20130819/54ca933d/attachment.html>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: spamprobe-1.4d-giflib5.patch
Type: text/x-patch
Size: 906 bytes
Desc: not available
URL: <http://lists.crux.nu/pipermail/crux/attachments/20130819/54ca933d/attachment.bin>


More information about the CRUX mailing list